forked from pool/virtualbox
9c5c5083fa
- Version update to 6.0.10 (released July 16 2019 by Oracle) This is a maintenance release. The following items were fixed and/or added: Various vulnerabilities are fixed (bsc#1141801) inclding CVE-2019-2859 CVE-2019-2867 CVE-2019-2866 CVE-2019-2864 CVE-2019-2865 CVE-2019-1543 CVE-2019-2863 CVE-2019-2848 CVE-2019-2877 CVE-2019-2873 CVE-2019-2874 CVE-2019-2875 CVE-2019-2876 CVE-2019-2850 User interface: fix issue inputing controller names (bug #11579) User interface: fix resize problems with recent Linux hosts (bug #18677) Serial: fixed guru meditation when raw mode is enabled (bug #18632) Serial: fixed possible VM crash under certain circumstances USB: Fixed "unrecoverable error" problems in OHCI emulation (bug #18593, 6.0.6 regression) USB: improve captured device identification VBoxManage: fix reversed reporting of audio input and output (thank you Socratis Kalogrianitis) VBoxManage: fix controlling recording for running machine (bug #18723) Guest control service: various fixes Linux hosts: kernel module build fixes for various kernels (bug #18316) Linux hosts: support UEFI secure boot driver signing on Ubuntu and Debian hosts (bug #11577) Linux hosts: fix focus grabbing problems with recent Qt versions (builds from source only; thank you Fabian Vogt (SUSE) and Larry Finger; bug #18745) Windows guests: many shared folders fixes Windows guests: fix other services failing if seamless mode was not available Linux guests: kernel module build fixes for various kernels (bugs #18677 and #18697; fixes by Larry Finger and Gianfranco Costamagna) Linux guests: do not try to load old versions of libcrypt on recent guests in Guest Additions tools (bug #18682) Linux guests: udev rules for guest kernel modules did not always take effect in time Linux guests/VMSVGA: do not forget the guest screen size after a guest reboot OS/2 guests: various shared folder fixes Revise instructions for case when VirtualBoxVM has the wrong privilege. File "fixes_for_5.2.patch" is deleted - fixed upstream. File "fixes_for_5.3.patch" is added to handle API changes in kernel 5.3. File "fixes_for_SLE15.patch" deleted. OBS-URL: https://build.opensuse.org/request/show/716635 OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=497
247 lines
9.0 KiB
Diff
247 lines
9.0 KiB
Diff
Index: VirtualBox-6.0.10/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.10.orig/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
+++ VirtualBox-6.0.10/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
@@ -26,11 +26,14 @@
|
|
# Provides: vboxadd
|
|
# Required-Start:
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Should-Start: $remote_fs
|
|
+# Should-Stop: $remote_fs
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# X-Start-Before: display-manager
|
|
# X-Service-Type: oneshot
|
|
# Description: VirtualBox Linux Additions kernel modules
|
|
+# Short-Description: VirtualBox Linux Additions kernel modules
|
|
### END INIT INFO
|
|
|
|
## @todo This file duplicates a lot of script with vboxdrv.sh. When making
|
|
@@ -121,20 +124,11 @@ module_build_log()
|
|
|
|
dev=/dev/vboxguest
|
|
userdev=/dev/vboxuser
|
|
-config=/var/lib/VBoxGuestAdditions/config
|
|
owner=vboxadd
|
|
group=1
|
|
|
|
-if test -r $config; then
|
|
- . $config
|
|
-else
|
|
- fail "Configuration file $config not found"
|
|
-fi
|
|
-test -n "$INSTALL_DIR" -a -n "$INSTALL_VER" ||
|
|
- fail "Configuration file $config not complete"
|
|
MODULE_SRC="$INSTALL_DIR/src/vboxguest-$INSTALL_VER"
|
|
BUILDINTMP="$MODULE_SRC/build_in_tmp"
|
|
-
|
|
running_vboxguest()
|
|
{
|
|
lsmod | grep -q "vboxguest[^_-]"
|
|
@@ -177,12 +171,6 @@ do_vboxguest_non_udev()
|
|
fail "Cannot create device $dev with major $maj and minor $min"
|
|
}
|
|
fi
|
|
- chown $owner:$group $dev 2>/dev/null || {
|
|
- rm -f $dev 2>/dev/null
|
|
- rm -f $userdev 2>/dev/null
|
|
- rmmod vboxguest 2>/dev/null
|
|
- fail "Cannot change owner $owner:$group for device $dev"
|
|
- }
|
|
|
|
if [ ! -c $userdev ]; then
|
|
maj=10
|
|
@@ -193,12 +181,6 @@ do_vboxguest_non_udev()
|
|
rmmod vboxguest 2>/dev/null
|
|
fail "Cannot create device $userdev with major $maj and minor $min"
|
|
}
|
|
- chown $owner:$group $userdev 2>/dev/null || {
|
|
- rm -f $dev 2>/dev/null
|
|
- rm -f $userdev 2>/dev/null
|
|
- rmmod vboxguest 2>/dev/null
|
|
- fail "Cannot change owner $owner:$group for device $userdev"
|
|
- }
|
|
fi
|
|
fi
|
|
}
|
|
@@ -260,7 +242,7 @@ cleanup_modules()
|
|
done
|
|
if test -z "${keep}"; then
|
|
rm -rf /lib/modules/"${KERN_VER}"
|
|
- rm -f /boot/initrd.img-"${KERN_VER}"
|
|
+ rm -f /boot/initrd.img-"${KERN_VER}"
|
|
fi
|
|
done
|
|
for i in ${OLDMODULES}; do
|
|
@@ -359,9 +341,9 @@ create_udev_rule()
|
|
udevcontrol reload_rules >/dev/null 2>&1 || true
|
|
fi
|
|
}
|
|
-
|
|
-create_module_rebuild_script()
|
|
-{
|
|
+ # And an rc file to re-build the kernel modules and re-set-up the X server.
|
|
+ ln -sf "$lib_path/$PACKAGE/vboxadd" /sbin/rcvboxadd
|
|
+ #ln -sf "$lib_path/$PACKAGE/vboxadd-x11" /sbin/rcvboxadd-x11
|
|
# And a post-installation script for rebuilding modules when a new kernel
|
|
# is installed.
|
|
mkdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d
|
|
@@ -406,47 +388,15 @@ shared_folder_setup()
|
|
# setup_script
|
|
setup()
|
|
{
|
|
- # chcon is needed on old Fedora/Redhat systems. No one remembers which.
|
|
- test ! -e /etc/selinux/config ||
|
|
- chcon -t bin_t "$BUILDINTMP" 2>/dev/null
|
|
-
|
|
- if test -z "$INSTALL_NO_MODULE_BUILDS"; then
|
|
- info "Building the VirtualBox Guest Additions kernel modules. This may take a while."
|
|
- info "To build modules for other installed kernels, run"
|
|
- info " /sbin/rcvboxadd quicksetup <version>"
|
|
- info "or"
|
|
- info " /sbin/rcvboxadd quicksetup all"
|
|
- if test -d /lib/modules/"$TARGET_VER"/build; then
|
|
- setup_modules "$TARGET_VER"
|
|
- depmod
|
|
- else
|
|
- info "Kernel headers not found for target kernel $TARGET_VER. \
|
|
-Please install them and execute
|
|
- /sbin/rcvboxadd setup"
|
|
- fi
|
|
- fi
|
|
- create_vbox_user
|
|
- create_udev_rule
|
|
- test -n "${INSTALL_NO_MODULE_BUILDS}" || create_module_rebuild_script
|
|
- shared_folder_setup
|
|
- if running_vboxguest || running_vboxadd; then
|
|
- info "Running kernel modules will not be replaced until the system is restarted"
|
|
- fi
|
|
-
|
|
- # Put the X.Org driver in place. This is harmless if it is not needed.
|
|
- # Also set up the OpenGL library.
|
|
- myerr=`"${INSTALL_DIR}/init/vboxadd-x11" setup 2>&1`
|
|
- test -z "${myerr}" || log "${myerr}"
|
|
-
|
|
- return 0
|
|
+ begin "Recompiling VirtualBox kernel module, NOT. It has been packaged."
|
|
+ succ_msg
|
|
}
|
|
|
|
# cleanup_script
|
|
cleanup()
|
|
{
|
|
- if test -z "${INSTALL_NO_MODULE_BUILDS}"; then
|
|
- # Delete old versions of VBox modules.
|
|
- cleanup_modules
|
|
+ # Delete old versions of VBox modules.
|
|
+ cleanup_modules
|
|
depmod
|
|
|
|
# Remove old module sources
|
|
@@ -456,12 +406,13 @@ cleanup()
|
|
fi
|
|
|
|
# Clean-up X11-related bits
|
|
- "${INSTALL_DIR}/init/vboxadd-x11" cleanup
|
|
+ #/sbin/rcvboxadd-x11 cleanup
|
|
|
|
# Remove other files
|
|
- if test -z "${INSTALL_NO_MODULE_BUILDS}"; then
|
|
- rm -f /etc/kernel/postinst.d/vboxadd /etc/kernel/prerm.d/vboxadd
|
|
- rmdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d 2>/dev/null || true
|
|
+ rm /sbin/rcvboxadd 2>/dev/null
|
|
+ #rm /sbin/rcvboxadd-x11 2>/dev/null
|
|
+ rm -f /etc/kernel/postinst.d/vboxadd /etc/kernel/prerm.d/vboxadd
|
|
+ rmdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d 2>/dev/null || true
|
|
fi
|
|
rm -f /sbin/mount.vboxsf 2>/dev/null
|
|
rm -f /etc/udev/rules.d/60-vboxadd.rules 2>/dev/null
|
|
@@ -494,7 +445,7 @@ start()
|
|
rm -f $userdev || {
|
|
fail "Cannot remove $userdev"
|
|
}
|
|
- $MODPROBE vboxguest >/dev/null 2>&1 ||
|
|
+ $MODPROBE vboxguest >/dev/null 2>&1 || {
|
|
fail "modprobe vboxguest failed"
|
|
case "$no_udev" in 1)
|
|
sleep .5;;
|
|
Index: VirtualBox-6.0.10/src/VBox/Additions/linux/installer/vboxadd-service.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.10.orig/src/VBox/Additions/linux/installer/vboxadd-service.sh
|
|
+++ VirtualBox-6.0.10/src/VBox/Additions/linux/installer/vboxadd-service.sh
|
|
@@ -26,7 +26,7 @@
|
|
# Provides: vboxadd-service
|
|
# Required-Start: vboxadd
|
|
# Required-Stop: vboxadd
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# X-Conflicts-With: systemd-timesyncd.service
|
|
# Description: VirtualBox Additions Service
|
|
Index: VirtualBox-6.0.10/src/VBox/Installer/linux/vboxautostart-service.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.10.orig/src/VBox/Installer/linux/vboxautostart-service.sh
|
|
+++ VirtualBox-6.0.10/src/VBox/Installer/linux/vboxautostart-service.sh
|
|
@@ -23,7 +23,7 @@
|
|
# Provides: vboxautostart-service
|
|
# Required-Start: vboxdrv
|
|
# Required-Stop: vboxdrv
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox autostart service
|
|
### END INIT INFO
|
|
Index: VirtualBox-6.0.10/src/VBox/Installer/linux/vboxballoonctrl-service.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.10.orig/src/VBox/Installer/linux/vboxballoonctrl-service.sh
|
|
+++ VirtualBox-6.0.10/src/VBox/Installer/linux/vboxballoonctrl-service.sh
|
|
@@ -23,7 +23,7 @@
|
|
# Provides: vboxballoonctrl-service
|
|
# Required-Start: vboxdrv
|
|
# Required-Stop: vboxdrv
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox watchdog daemon
|
|
### END INIT INFO
|
|
Index: VirtualBox-6.0.10/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.10.orig/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
|
|
+++ VirtualBox-6.0.10/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
|
|
@@ -31,7 +31,7 @@
|
|
# Provides: testboxscript-service
|
|
# Required-Start: $network
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: TestBoxScript service
|
|
### END INIT INFO
|
|
Index: VirtualBox-6.0.10/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.10.orig/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
|
|
+++ VirtualBox-6.0.10/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
|
|
@@ -31,7 +31,7 @@
|
|
# Provides: vboxtxs
|
|
# Required-Start: $network
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox Test Execution Service
|
|
### END INIT INFO
|
|
Index: VirtualBox-6.0.10/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.10.orig/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
|
|
+++ VirtualBox-6.0.10/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
|
|
@@ -31,7 +31,7 @@
|
|
# Provides: vboxtxs
|
|
# Required-Start: $network
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox Test Execution Service
|
|
### END INIT INFO
|